Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05910 Crash/Freeze Critical (emulator) Always Apr 6, 2015, 05:11 May 7, 2015, 17:51
Tester NekoEd View Status Public Platform SDLMAME
Assigned To AWJ Resolution Fixed OS Linux
Status [?] Resolved Driver harddriv.cpp
Version 0.160 Fixed in Version 0.162 Build Normal
Summary 05910: racedriv: Reset causes segmentation fault
Description Game crashes with segmentation fault when reset.
Steps To Reproduce Start game, hit F3.
Additional Information Clones may be affected, I have not tested them.

SDLMAME64 0.160 on Linux x64
Flags
Regression Version 0.146u5
Affected Sets / Systems racedriv
Attached Files
png file icon 0000.png (2,241 bytes) Apr 6, 2015, 16:04 Uploaded by B2K24
B2K24
Relationships
There are no relationsihp linked to this issue.
Notes
11
User avatar
No.11569
B2K24
Moderator
Apr 6, 2015, 16:06
Here on windows I don't get a crash or any segmentation fault when resetting, but I do get a white screen that says "GSP TIME OUT ERROR"
User avatar
No.11570
NekoEd
Senior Tester
Apr 6, 2015, 16:10
edited on: Apr 6, 2015, 16:10
That's probably related to 05911. Perhaps it's SDL/Linux-specific?

User avatar
No.11574
B2K24
Moderator
Apr 6, 2015, 16:42
Seems very likely since the segmentation fault can't be reproduced here.

Do the other sets listed in 05911 also trigger the segmentation fault or is it just this specific set?
User avatar
No.11576
NekoEd
Senior Tester
Apr 6, 2015, 17:10
No, it's just racedriv (clones not tested). The rest give the 05911 behavior upon F3 reset but that's not a bug (since MAME itself doesn't crash).
User avatar
No.11581
B2K24
Moderator
Apr 7, 2015, 14:31
I'll set this to Acknowledged while it's being investigated.
User avatar
No.11639
georgc3
Tester
May 2, 2015, 09:27
Stun Runner is also having the same problem. It crashes when I start the emu.
User avatar
No.11640
Robbbert
Developer
May 2, 2015, 22:00
Confirmed F3 crash with racedriv.

Stun Runner works fine, but gives the GSP timeout a while after F3 pressed
User avatar
No.11642
georgc3
Tester
May 3, 2015, 22:29
edited on: May 3, 2015, 22:36
Well, Stun Runner is not working for me in my end. I'm using the official mame 0.161 build 64-bit. mame crashes before I get into the game. The only one that's working is Hard Drvin' Airborne. All others just crash when I start the emu.

Update: I just discovered that the cheat is causing the hard drivin' based games to crash so I had disable cheats before starting the game. It runs fine without the cheats turned on.

http://snag.gy/1AxWz.jpg

User avatar
No.11643
NekoEd
Senior Tester
May 4, 2015, 01:41
Confirmed by Robbbert
User avatar
No.11647
Osso
Developer
May 5, 2015, 16:43
Further regression testing shows that the bug started between r17182 and r17195 of the old SVN.
User avatar
No.11652
Osso
Developer
May 6, 2015, 10:25
Commenting out line 296 of audio/harddriv.c makes the crash disappear, so the exact regression revision seems to be r17191.